View Issue Details

IDProjectCategoryView StatusLast Update
0007541Talerwallet (WebExtensions)public2023-01-26 22:53
Reporterdavidak Assigned ToFlorian Dold  
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.9 
Target Version0.9.1Fixed in Version0.9.1 
Summary0007541: crash when displaying big transactions
DescriptionIt seem to be stuck at this error:

There was an error trying to complete the transaction

unexpected exception (message: crypto RPC call ('createPlanchet') timed out)
{
  "code": 7001,
  "hint": "unexpected exception (message: crypto RPC call ('createPlanchet') timed out)",
  "stack": "Error: crypto RPC call ('createPlanchet') timed out\n at chrome-extension://millncjiddlpgdmkklmhfadpacifaonc/dist/background.js:14719:18"
}

Related: https://bugs.gnunet.org/view.php?id=7537

So https://bugs.gnunet.org/view.php?id=5512 is not fixed.

This big transactions might not be needed when the digital euro is limited to 3000 euro in the wallet and 50 euro per transaction. But with this small limits, i guess it would not get accepted...
Steps To Reproduce1. withdraw 2000000 from the bank
2. open transaction in wallet
3. wait until the tab crash
Additional InformationWallet Core
0.9.0 673e7a417d043cd6b0644d2a7a52d1fdbc5345ee
Web Extension
0.9.0.35 673e7a417d043cd6b0644d2a7a52d1fdbc5345ee
TagsNo tags attached.

Activities

davidak

2022-12-26 02:30

reporter  

Florian Dold

2023-01-13 12:41

manager   ~0019656

The wallet used to start a timeout counter when a crypto request was made, not when processing of the operation was started.

That meant, a huge queue of crypto operations would cause all of them to time out, resulting in the timeout error.

This is fixed now.

Issue History

Date Modified Username Field Change
2022-12-26 02:30 davidak New Issue
2022-12-26 02:30 davidak Status new => assigned
2022-12-26 02:30 davidak Assigned To => Florian Dold
2022-12-26 02:30 davidak File Added: Screenshot from 2022-12-26 02-23-40.png
2022-12-26 02:30 davidak File Added: Screenshot from 2022-12-26 02-24-44.png
2023-01-08 10:13 Christian Grothoff Target Version => 0.9.1
2023-01-13 12:41 Florian Dold Status assigned => resolved
2023-01-13 12:41 Florian Dold Resolution open => fixed
2023-01-13 12:41 Florian Dold Note Added: 0019656
2023-01-23 22:25 Christian Grothoff Fixed in Version => 0.9.1
2023-01-26 22:53 Christian Grothoff Status resolved => closed